Skip to main content
GET
/
v1
/
alerts
/
{alert_identifier}
/
executions
List Alert Executions
curl --request GET \
  --url https://api.mixpeek.com/v1/alerts/{alert_identifier}/executions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mixpeek.com/v1/alerts/{alert_identifier}/executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mixpeek.com/v1/alerts/{alert_identifier}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "alert_id": "<string>",
      "collection_id": "<string>",
      "triggered": true,
      "match_count": 1,
      "executed_at": "<string>",
      "duration_ms": 1,
      "execution_id": "<string>",
      "matches": [
        {
          "document_id": "<string>",
          "score": 0.5,
          "asset_id": "<string>",
          "matched_features": {},
          "metadata": {}
        }
      ],
      "source_documents": [
        "<string>"
      ]
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "next_page": "<string>",
    "previous_page": "<string>",
    "next_cursor": "<string>"
  },
  "total_count": 123
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_identifier
string
required

Alert ID (alt_...) or name

Query Parameters

limit
integer | null
Required range: 1 <= x <= 1000
page_size
integer | null
Required range: 1 <= x <= 1000
offset
integer | null
Required range: 0 <= x <= 10000
page
integer | null
Required range: x >= 1
cursor
string | null
include_total
boolean
default:false

Response

Successful Response

Response model for listing alert executions.

results
AlertExecutionResult · object[]
required

List of execution results

pagination
PaginationResponse · object
required

Pagination information

total_count
integer
required

Total number of executions